<?php

namespace Planaday\Utility\DataFilters\Validators;

interface Validator {
	/**
	 * @template T
	 * @param T $data
	 *
	 * @return true|string|array<mixed>
	 */
	public function validate($data): bool|string|array;

	public function getName():string;
}